// Textdateien_v2.cpp: Hauptprojektdatei.

#include "stdafx.h"

using namespace System;
using namespace System::IO;

int main(array<System::String ^> ^args)
{
   // in Textdatei schreiben
   String^ dateiname = "C:\\temp\\DieMade.txt";
   FileStream^ fs = nullptr;
   StreamWriter^ sw = nullptr;

   try
   {
      fs = gcnew FileStream(dateiname, FileMode::OpenOrCreate);
      sw = gcnew StreamWriter(fs);

      sw->WriteLine(" Hinter eines Baumes Rinde");
      sw->WriteLine(" Wohnt die Made mit dem Kinde.");
      sw->WriteLine(" Sie ist Witwe, denn der Gatte,");
      sw->WriteLine(" Den sie hatte, fiel vom Blatte.");
      sw->WriteLine(" Diente so auf diese Weise,");
      sw->WriteLine(" einer Ameise als Speise.");
      sw->WriteLine(" ...");
      sw->WriteLine("                        Heinz Erhardt");

      sw->Close();
   }
   catch(Exception^ e)
   {
      Console::WriteLine(  " Beim Schreiben der Datei " + dateiname 
                         + " ist ein Fehler aufgetreten: \n"
                         + e->Message);
   }
   finally
   {
      if (sw) 
         sw->Close();
   }



   
   // aus Textdatei lesen
   dateiname = "C:\\temp\\DieMade.txt";
   fs = nullptr;
   StreamReader^ sr = nullptr;

   try
   {
      fs = gcnew FileStream("C:\\temp\\DieMade.txt", FileMode::Open);
      sr = gcnew StreamReader(fs);

      String^ zeile;

      while( (zeile = sr->ReadLine()) != nullptr)
         Console::WriteLine(zeile);

      sr->Close();
   }
   catch(Exception^ e)
   {
      Console::WriteLine(  " Beim Lesen der Datei " + dateiname 
                         + " ist ein Fehler aufgetreten: \n"
                         + e->Message);
   }
   finally
   {
      if (sr) 
         sr->Close();
   }


   Console::ReadLine();
   return 0;
}